Upload Asset
curl --request POST \
--url https://app.plugchoice.com/api/v3/teams/{team}/custom-domains/{domain}/assets/{type} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://app.plugchoice.com/api/v3/teams/{team}/custom-domains/{domain}/assets/{type}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app.plugchoice.com/api/v3/teams/{team}/custom-domains/{domain}/assets/{type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"url": "<string>"
}Custom Domains
Upload Asset
POST
/
v3
/
teams
/
{team}
/
custom-domains
/
{domain}
/
assets
/
{type}
Upload Asset
Uploads a branding asset for a custom domain. The accepted file types and size limits depend on the asset type.
The UUID of the team.
The ID of the custom domain.
The type of asset to upload. One of
favicon, logo, or splash.| Type | Accepted formats | Max size |
|---|---|---|
favicon | SVG, ICO, PNG | 512 KB |
logo | SVG, PNG, JPG, JPEG, WebP | 1 MB |
splash | PNG, JPG, JPEG, WebP | 2 MB |
The image file to upload.
Response
A confirmation message (e.g.,
Favicon updated.).The public URL of the uploaded asset.
⌘I